- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::CorrelationTable Class Reference

The CorrelationTable class provides a correlation table between two point groups. More...

`#include <corrtab.h>`

Inheritance diagram for sc::CorrelationTable:

List of all members.

## Public Member Functions
| CorrelationTable (const Ref< PointGroup > &group, const Ref< PointGroup > &subgroup)
| Create a correlation table for the two groups.
Ref< PointGroup > | group () const
| Returns the higher order point group.
Ref< PointGroup > | subgroup () const
| Returns the lower order point group.
int | initialize_table (const Ref< PointGroup > &group, const Ref< PointGroup > &subgroup)
| Initalize the correlation table.
const char * | error (int errcod)
| Converts error codes from initialize_table into a text string.
int | n () const
| Returns the number of irreps in the high order group.
int | subn () const
| Returns the number of irreps in the subgroup.
int | degen (int igamma) const
| Returns the degeneracy of the irrep.
int | subdegen (int igamma) const
| Returns the degeneracy of the subgroup irrep.
int | ngamma (int igamma) const
| Returns the number of irreps in the low order group that an irrep.
int | gamma (int igamma, int i) const
| Returns the irreps in the low order group that an irrep from the high order group can be reduced to.
void | print (std::ostream &o=ExEnv::out0()) const

## Detailed Description

The CorrelationTable class provides a correlation table between two point groups.

## Member Function Documentation

int sc::CorrelationTable::initialize_table | ( | const Ref< PointGroup > & | group,
|  | const Ref< PointGroup > & | subgroup |
| ) |  |  |

Initalize the correlation table.

Returns 0 for success and nonzero for failure. This will fail if the subgroup is not really a subgroup of group.

int sc::CorrelationTable::gamma | ( | int | igamma,
|  | int | i |
| ) |  |  | const`[inline]`

Returns the irreps in the low order group that an irrep from the high order group can be reduced to.

The documentation for this class was generated from the following file:

- corrtab.h